# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Payment\Method:
  - service_name: EWAYStoredShared
    class: XC\EWAYStoredShared\Model\Payment\Processor\EWAYStoredShared
    type: C
    countries: [AU, HK, MO, NZ, SG]
    orderby: -101850
    translations: [{code: en, name: 'eWAY Payments'}, {code: es, name: 'Pagos eWAY'}]
    settings: [{name: APIkey}, {name: password}, {name: prefix, value: xcart}, {name: mode, value: test}, {name: verify_phone, value: 'N'}, {name: verify_email, value: 'N'}, {name: type, value: sale}]
XLite\Model\LanguageLabel:
  - name: 'API key'
    translations: [{code: en, label: 'API key'}]
  - name: Password
    translations: [{code: en, label: Password}]
  - name: 'Order prefix'
    translations: [{code: en, label: 'Order prefix'}]
  - name: Mode
    translations: [{code: en, label: Mode}]
  - name: 'Verify customer''s phone'
    translations: [{code: en, label: 'Verify customer''s phone'}]
  - name: 'Verify customer''s email'
    translations: [{code: en, label: 'Verify customer''s email'}]
  - name: 'Create an eWAY account'
    translations: [{code: en, label: 'Create an eWAY account'}]
  - name: 'Join thousands of merchants who choose eWAY as their preferred online payment provider. Create an eWAY account and get your online store transacting quickly with X-Cart today.'
    translations: [{code: en, label: 'Join thousands of merchants who choose eWAY as their preferred online payment provider. Create an eWAY account and get your online store transacting quickly with X-Cart today.'}]
  - name: 'NOTE: Make sure the auto-return feature is enabled in your eWay account. [Learn more]'
    translations: [{code: en, label: 'NOTE: Make sure the auto-return feature is enabled in your eWAY account. <a href="{{url}}">Learn more</a>'}]
